Bug 1023487 - XSD is using windows style command line arguements
XSD is using windows style command line arguements
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xsd (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Antti Andreimann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 10:19 EDT by David C Hansen
Modified: 2015-02-17 12:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:48:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David C Hansen 2013-10-25 10:19:00 EDT
Description of problem:

XSD has changed to using windows style command line arguements (/classes instead of --classes for example). This breaks a lot of linux style build scripts for various open source projects relying on XSD.

The help function also describes the program as "xsd.exe", which seems to indicate that a windows version was somehow compiled?


The rpm found at http://www.codesynthesis.com/products/xsd/download.xhtml does not show this behaviour

Version-Release number of selected component (if applicable):

xsd-3.3.0-1.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Run xsd --help
2. See error
3. Run xsd /help
4. See windows style help message

Actual results:

xsd /help

xsd.exe - a utility for generating schema or class files

xsd.exe <schema>.xsd /classes [/element:NAME] [/language:NAME]
            [/namespace:NAME] [/outputdir:PATH] [/uri:NAME]

xsd.exe <schema>.xsd /dataset [/element:NAME] [/language:NAME]
            [/namespace:NAME] [/outputdir:PATH] [/uri:NAME]

xsd.exe <assembly>.dll|<assembly>.exe [/outputdir:PATH] [/type:NAME]

xsd.exe <instance>.xml [<instance>.xml ...] [/outputdir:PATH]

   /c /classes        Generate classes for the specified schema.
   /d /dataset        Generate typed dataset classes for the specified schema.
   /e /element:NAME   Element from schema to generate code for.
                      Multiple elements can be specified.
   /u /uri:NAME       Namespace uri of the elements to generate code for.
   /l /language:NAME  The language, or type name of custom CodeDomProvider
                      to use for the generated code.
                      Shorthand specifiers are: "CS" (C#) and "VB" (VB.NET).
                      For type name, assembly qualified name is required.
   /g /generator:TYPE Code Generator type name, followed by ','
                      and assembly file name.
   /o /outputdir:PATH The directory where to generate the code or schemas.
   /n /namespace:NAME Namespace for the generated code.
   /t /type:NAME      Type for which to generate an xml schema.
                      Multiple types can be specified.
   /h /help           Output this help.


Expected results:

xsd --help
Usage: xsd <cmd> ...
Commands:
  help            Print usage information and exit. Use
                  'help <cmd>' for command-specific options.
  version         Print version and exit.
  cxx-tree        Generate the C++/Tree mapping.
  cxx-parser      Generate the C++/Parser mapping.


Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:21:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:48:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.